GDB (xrefs)

Typedefs | Functions
/tmp/gdb-8.1/gdb/dcache.h File Reference
`#include "target.h"`

Go to the source code of this file.

## Typedefs
typedef struct dcache_struct | DCACHE

## Functions
void | dcache_invalidate (DCACHE *dcache)
DCACHE * | dcache_init (void)
void | dcache_free (DCACHE *)
enum target_xfer_status | dcache_read_memory_partial (struct target_ops *ops, DCACHE *dcache, CORE_ADDR memaddr, gdb_byte *myaddr, ULONGEST len, ULONGEST *xfered_len)
void | dcache_update (DCACHE *dcache, enum target_xfer_status status, CORE_ADDR memaddr, const gdb_byte *myaddr, ULONGEST len)

## Typedef Documentation

## ◆ DCACHE

typedef struct dcache_struct DCACHE

Definition at line 26 of file dcache.h.

## Function Documentation

## ◆ dcache_free()

void dcache_free | ( | DCACHE * |  | ) |

Definition at line 219 of file dcache.c.

References for_each_block(), free_block(), dcache_struct::freelist, dcache_struct::oldest, dcache_struct::tree, and xfree().

Referenced by target_dcache_cleanup().

## ◆ dcache_init()

DCACHE* dcache_init | ( | void |  | ) |

Definition at line 442 of file dcache.c.

References dcache_line_size, dcache_splay_tree_compare(), dcache_struct::freelist, dcache_struct::line_size, null_ptid, dcache_struct::oldest, dcache_struct::ptid, dcache_struct::size, dcache_struct::tree, and XNEW.

Referenced by target_dcache_get_or_init().

## ◆ dcache_invalidate()

void dcache_invalidate | ( | DCACHE * | dcache | ) |

Definition at line 244 of file dcache.c.

References dcache_line_size, for_each_block(), free_block(), dcache_struct::freelist, invalidate_block(), dcache_struct::line_size, null_ptid, dcache_struct::oldest, dcache_struct::ptid, and dcache_struct::size.

Referenced by dcache_read_memory_partial(), and target_dcache_invalidate().

## ◆ dcache_read_memory_partial()

enum target_xfer_status dcache_read_memory_partial | ( | struct target_ops * | ops,
|  | DCACHE * | dcache,
|  | CORE_ADDR | memaddr,
|  | gdb_byte * | myaddr,
|  | ULONGEST | len,
|  | ULONGEST * | xfered_len
| ) |  |

Definition at line 466 of file dcache.c.

References dcache_invalidate(), dcache_invalidate_line(), dcache_peek_byte(), inferior_ptid, dcache_struct::ptid, ptid_equal(), raw_memory_xfer_partial(), and TARGET_XFER_OK.

Referenced by memory_xfer_partial_1().

## ◆ dcache_update()

void dcache_update | ( | DCACHE * | dcache,
|  | enum target_xfer_status | status,
|  | CORE_ADDR | memaddr,
|  | const gdb_byte * | myaddr,
|  | ULONGEST | len
| ) |  |

Definition at line 520 of file dcache.c.

References dcache_invalidate_line(), dcache_poke_byte(), status, and TARGET_XFER_OK.

Referenced by raw_memory_xfer_partial().